> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a monitor

GET https://api.getpostman.com/monitors/{monitorId}

Gets information about a monitor.

Reference: https://learning.postman.com/api-docs/api-reference/monitors/get-monitor

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /monitors/{monitorId}:
    get:
      operationId: getMonitor
      summary: Get a monitor
      description: Gets information about a monitor.
      tags:
        - monitors
      parameters:
        - name: monitorId
          in: path
          description: The monitor's ID.
          required: true
          schema:
            $ref: '#/components/schemas/monitorId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMonitor'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMonitorRequestUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMonitorRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMonitorRequestInternalServerError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    monitorId:
      type: string
      title: monitorId
    monitorOptions:
      type: object
      properties:
        followRedirects:
          type: boolean
          description: If true, follow redirects enabled.
        requestDelay:
          type: number
          format: double
          description: The monitor's request delay value, in milliseconds.
        requestTimeout:
          type: number
          format: double
          description: The monitor's request timeout value, in milliseconds.
        strictSSL:
          type: boolean
          description: If true, strict SSL enabled.
      description: Information about the monitor's option settings.
      title: monitorOptions
    MonitorNotificationsOnErrorItems:
      type: object
      properties:
        email:
          type: string
          format: email
          description: The email address of the user to notify on monitor error.
      title: MonitorNotificationsOnErrorItems
    MonitorNotificationsOnFailureItems:
      type: object
      properties:
        email:
          type: string
          format: email
          description: The email address of the user to notify on monitor failure.
      title: MonitorNotificationsOnFailureItems
    monitorNotifications:
      type: object
      properties:
        onError:
          type: array
          items:
            $ref: '#/components/schemas/MonitorNotificationsOnErrorItems'
        onFailure:
          type: array
          items:
            $ref: '#/components/schemas/MonitorNotificationsOnFailureItems'
      description: Information about the monitor's notification settings.
      title: monitorNotifications
    MonitorDistributionItemsRegion:
      type: string
      enum:
        - us-east
        - us-west
        - ap-southeast
        - ca-central
        - eu-central
        - sa-east
        - uk
        - us-east-staticip
        - us-west-staticip
      description: The assigned distribution region.
      title: MonitorDistributionItemsRegion
    MonitorDistributionItems:
      type: object
      properties:
        region:
          $ref: '#/components/schemas/MonitorDistributionItemsRegion'
          description: The assigned distribution region.
      title: MonitorDistributionItems
    monitorDistribution:
      type: array
      items:
        $ref: '#/components/schemas/MonitorDistributionItems'
      description: >-
        A list of the monitor's [geographic
        regions](https://learning.postman.com/docs/monitoring-your-api/setting-up-monitor/#add-regions).
      title: monitorDistribution
    GetMonitorMonitorSchedule:
      type: object
      properties:
        cron:
          type: string
          description: The monitor's POSIX cron frequency value.
        nextRun:
          type: string
          format: date-time
          description: The date and time of monitor's next scheduled run.
        timezone:
          type: string
          description: The monitor's timezone.
      description: Information about the monitor's schedule.
      title: GetMonitorMonitorSchedule
    monitorRetry:
      type: object
      properties:
        attempts:
          type: number
          format: double
          description: >-
            The number of times to reattempt a monitor run if it fails or
            errors. This may impact your [monitor
            usage](https://learning.postman.com/docs/monitoring-your-api/monitor-usage/#view-monitor-usage).
      description: Information about the monitor's retry settings.
      title: monitorRetry
    MonitorRunStatsAssertions:
      type: object
      properties:
        total:
          type: number
          format: double
          description: The total number of tests performed.
        failed:
          type: number
          format: double
          description: The total number of test failures.
      description: Information about the monitor's tests.
      title: MonitorRunStatsAssertions
    MonitorRunStatsRequests:
      type: object
      properties:
        total:
          type: number
          format: double
          description: The total number of requests.
        failed:
          type: number
          format: double
          description: The number of request failures.
      description: Information about the monitor's requests.
      title: MonitorRunStatsRequests
    monitorRunStats:
      type: object
      properties:
        assertions:
          $ref: '#/components/schemas/MonitorRunStatsAssertions'
          description: Information about the monitor's tests.
        requests:
          $ref: '#/components/schemas/MonitorRunStatsRequests'
          description: Information about the monitor's requests.
        runCount:
          type: integer
          description: The number of monitor runs across the selected monitor regions.
        errorCount:
          type: integer
          description: The number of errors encountered during the monitor's run.
        abortedCount:
          type: integer
          description: The number of runs terminated.
        responseLatency:
          type: integer
          description: The total time it took to run the monitor, in milliseconds.
        responseSize:
          type: integer
          description: >-
            The total response size. This includes the runs in all the selected
            regions.
      description: Information about the monitor run's stats.
      title: monitorRunStats
    monitorLastRun:
      type: object
      properties:
        status:
          type: string
          description: The monitor's status after its last run.
        startedAt:
          type: string
          format: date-time
          description: The date and time at which the monitor's previous run started.
        finishedAt:
          type: string
          format: date-time
          description: The date and time at which the monitor's previous run completed.
        stats:
          $ref: '#/components/schemas/monitorRunStats'
      description: Information about the monitor's previous run.
      title: monitorLastRun
    GetMonitorMonitor:
      type: object
      properties:
        id:
          type: string
          description: The monitor's ID.
        name:
          type: string
          description: The monitor's name.
        uid:
          type: string
          format: uid
          description: The monitor's unique ID.
        owner:
          type: integer
          description: The ID of monitor's owner.
        active:
          type: boolean
          default: true
          description: If true, the monitor is active and makes calls to the specified URL.
        notificationLimit:
          type: number
          format: double
          description: >-
            Stop email notifications after the given number consecutive
            failures.
        collectionUid:
          type: string
          format: uid
          description: The unique ID of the monitor's associated collection.
        environmentUid:
          type: string
          format: uid
          description: The unique ID of the monitor's associated environment.
        jobId:
          type: string
          description: The job ID of the monitor's latest run.
        options:
          $ref: '#/components/schemas/monitorOptions'
        notifications:
          $ref: '#/components/schemas/monitorNotifications'
        distribution:
          $ref: '#/components/schemas/monitorDistribution'
        schedule:
          $ref: '#/components/schemas/GetMonitorMonitorSchedule'
          description: Information about the monitor's schedule.
        retry:
          $ref: '#/components/schemas/monitorRetry'
        lastRun:
          $ref: '#/components/schemas/monitorLastRun'
      description: Information about the monitor.
      title: GetMonitorMonitor
    getMonitor:
      type: object
      properties:
        monitor:
          $ref: '#/components/schemas/GetMonitorMonitor'
          description: Information about the monitor.
      title: getMonitor
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetMonitorRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMonitorRequestUnauthorizedError
    GetMonitorRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMonitorRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetMonitorRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMonitorRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "monitor": {
    "id": "1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
    "name": "Test Monitor",
    "uid": "12345678-1e6b6cc1-c760-48e0-968f-4bfaeeae9af1",
    "owner": 12345678,
    "active": true,
    "notificationLimit": 1,
    "collectionUid": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
    "environmentUid": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
    "jobId": "e72dc3de-e4ac-407c-b1cc-2c5b6efced68",
    "options": {
      "followRedirects": true,
      "requestDelay": 1,
      "requestTimeout": 3000,
      "strictSSL": true
    },
    "notifications": {
      "onError": [
        {
          "email": "taylor.lee@example.com"
        }
      ],
      "onFailure": [
        {
          "email": "taylor.lee@example.com"
        }
      ]
    },
    "distribution": [
      {
        "region": "us-east"
      }
    ],
    "schedule": {
      "cron": "0 0 * * * *",
      "nextRun": "2025-06-18T05:00:00.000Z",
      "timezone": "America/Chicago"
    },
    "retry": {
      "attempts": 1
    },
    "lastRun": {
      "status": "success",
      "startedAt": "2025-06-17T18:39:52.852Z",
      "finishedAt": "2025-06-17T18:39:53.707Z",
      "stats": {
        "assertions": {
          "total": 5,
          "failed": 0
        },
        "requests": {
          "total": 3
        },
        "runCount": 42,
        "errorCount": 0,
        "abortedCount": 2,
        "responseLatency": 850,
        "responseSize": 2048
      },
      "jobId": "e72dc3de-e4ac-407c-b1cc-2c5b6efced68"
    }
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/monitors/1e6b6cc1-c760-48e0-968f-4bfaeeae9af1"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/monitors/1e6b6cc1-c760-48e0-968f-4bfaeeae9af1';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/monitors/1e6b6cc1-c760-48e0-968f-4bfaeeae9af1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/monitors/1e6b6cc1-c760-48e0-968f-4bfaeeae9af1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/monitors/1e6b6cc1-c760-48e0-968f-4bfaeeae9af1")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/monitors/1e6b6cc1-c760-48e0-968f-4bfaeeae9af1', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/monitors/1e6b6cc1-c760-48e0-968f-4bfaeeae9af1");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/monitors/1e6b6cc1-c760-48e0-968f-4bfaeeae9af1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```